#ifndef	__NAND_DEF_H__
#define	__NAND_DEF_H__

/*######################	Warning		############################
#																	#
#		Don`t modify the content below,otherwise it will			#
# 	be cause driver can`t work normally or can`t work optimumly!	#	
#																	#
###################################################################*/

/* -------------------   Data Type Define   ----------------- */
typedef unsigned char       	BYTE; 
typedef unsigned int        	UINT; 
typedef unsigned short      	WORD; 
typedef unsigned long       	DWORD; 

typedef char                	CHAR; 
typedef unsigned char       	UINT8; 
typedef short               	SHORT; 
typedef int                 	INT; 
typedef long                	LONG;

#define BYTE2WORD				0x01
#define WORD2BYTE				0x01

#define NAND_MLC				0xfff1
#define NAND_SLC_LARGE_BLK		0xfff2
#define NAND_SLC_SMALL_BLK		0xfff3

#define DIRECT_READ_UNSUPPORT	0xa55a
#define DIRECT_READ_SUPPORT		0x5aa5

#define WRITE_ENABLE			0xa55a
#define WRITE_DISABLE			0x5aa5

typedef enum
{
	NF_OK 						= 0x0000,
	NF_UNKNOW_TYPE				= 0xff1f,
	NF_USER_CONFIG_ERR			= 0xff2f,	
	NF_TOO_MANY_BADBLK			= 0xff3f,
	NF_READ_MAPTAB_FAIL			= 0xff4f,
	NF_SET_BAD_BLK_FAIL			= 0xff5f,
	NF_NO_SWAP_BLOCK			= 0xff6f,
	NF_BEYOND_NAND_SIZE			= 0xff7f,
	NF_READ_ECC_ERR				= 0xff8f,
	NF_READ_BIT_ERR_TOO_MUCH    = 0xff9f,
	NF_ILLEGAL_BLK_MORE_2		= 0xffaf,
	NF_BANK_RECYCLE_NUM_ERR		= 0xffbf,
	NF_EXCHAGE_BLK_ID_ERR		= 0xffcf,
	NF_DIRECT_READ_UNSUPPORT	= 0xffdf,
}NF_STATUS;
#endif
